Subject: Re: bug#4025: 23.1.50; VC shows bazaar files as modified on modeline

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 3 Aug 2009 23:36:06 -0700 (PDT)

Óscar Fuentes <[email-masked]> writes:

  > The problem is in vc-bzr-state-heuristic. It doesn't notice that the
  > heuristics used for checking the state doesn't work and returns some
  > garbage instead of crashing and hence invoke vc-bzr-state through the
  > `error` form at the end.

vc-bzr-state-heuristic looks for some very specific things to try to
guess the state, if none of the match it returns 'edited, which is what
you see.

You can try looking at the entry in .bzr/checkout/dirstate for the file
in question in both the branch and the repository. Check the difference
between the two and try to find out why vc-bzr-state-heuristic fails.